;;;; lspx.asd

(asdf:defsystem #:lspx
  :description "dynamic web server that allows for HTML to be written inline alongside lisp code"
  :author "a. fox"
  :license  "GNU GPLv3"
  :version "0.0.1"
  :serial t
  :depends-on (#:clack #:unix-opts #:str #:with-user-abort
               #:trivial-mimes #:local-time #:trivial-backtrace
               #:alexandria #:log4cl #:cl-ppcre #:html-entities

               (:feature :woo #:woo)
               (:feature :woo #:clack-handler-woo)
               
               (:feature (:not :woo) #:hunchentoot)
               (:feature (:not :woo) #:clack-handler-hunchentoot))
  :components ((:file "templates")
               (:file "errors")
               
               (:file "package")
               (:file "util")
               (:file "command-line")
               (:file "reader")
               (:file "web")
               (:file "lspx"))
  :build-operation "program-op"
  :build-pathname "bin/lspx"
  :entry-point "lspx::main")

#+sb-core-compression
(defmethod asdf:perform ((o asdf:image-op) (c asdf:system))
  (uiop:dump-image (asdf:output-file o c) :executable t :compression t))
